Update session limits for assets in an asset group
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/asset-groups/{assetGroupId}/session-limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetIds": [
"<string>"
],
"sessionLimits": {
"energyLimitKwh": 123,
"durationLimitMins": 123
}
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/asset-groups/{assetGroupId}/session-limits"
payload = {
"assetIds": ["<string>"],
"sessionLimits": {
"energyLimitKwh": 123,
"durationLimitMins": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetIds: ['<string>'],
sessionLimits: {energyLimitKwh: 123, durationLimitMins: 123}
})
};
fetch('https://api.lynkwell.com/asset-management/v1/asset-groups/{assetGroupId}/session-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Asset with ids: testAssetId session limits updated successfully and session limits removed for remaining assets in assetGroup:testAssetGroupId"
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "CONFLICT",
"code": "CONFLICTING_SECURITY_PROFILE_STATE",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Assets
Update session limits for assets in an asset group
This endpoint updates the session limits for a list of assets in an asset group.
POST
/
asset-management
/
v1
/
asset-groups
/
{assetGroupId}
/
session-limits
Update session limits for assets in an asset group
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the asset group for which to update session limits
Response
Success. Returns a message indicating the session limits have been updated.
Example:
"Asset with ids: testAssetId session limits updated successfully and session limits removed for remaining assets in assetGroup:testAssetGroupId"